
Runtime Infrastructure - Feature #1847

improve server instrumentation

10/30/2012 02:12 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 120.00 hours

Target version: Deployment and Management

Improvements

  

billable: No vendor_id: GCD

Description

Related issues:

Related to Runtime Infrastructure - Feature #1849: expose management features... New

History

#1 - 10/30/2012 02:13 PM - Greg Shah

more logging/tracepoints; ability to log/trace for specific users?; or other ways to enable inspection more selectively; other supportability features

based on production experiences;

#2 - 10/31/2012 11:50 AM - Greg Shah

- Target version set to Deployment and Management Improvements

#3 - 11/16/2016 01:06 PM - Greg Shah

- Target version changed from Deployment and Management Improvements to Deployment and Management Improvements

#4 - 01/25/2022 04:35 AM - Greg Shah

I think one area of useful information may be related to the persistence layer:

locks

temp-tables

buffers

queries

database connections

The other area that seems very useful would be:

transaction manager/block details

any tracepoints used by the PROFILER system handle (#3819)

user session details

#5 - 01/25/2022 04:40 AM - Greg Shah

- Related to Feature #1849: expose management features, configuration...to inspection and control via JMX (instead of only via the admin UI) added
https://proj.goldencode.com/issues/3819


#7 - 01/25/2022 04:40 AM - Greg Shah

As part of the work in #4785 (see #4785-746 and later), we have implemented general purpose JMX counter and timer support (see branch 3821c rev

11645).  The code is in package com.goldencode.p2j.jmx.* and only the remote object protocol is instrumented as of that revision.
